> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pmock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Phone file scan

> scan the mobile file directory



## OpenAPI

````yaml post /open/api/phone/file/scan
openapi: 3.1.0
info:
  title: apidoc
  description: ''
  version: 1.0.0
servers:
  - url: https://user.pmock.com/api
    description: Generated server url
security: []
tags: []
paths:
  /open/api/phone/file/scan:
    post:
      tags: []
      summary: Phone file scan
      description: scan the mobile file directory
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiPhoneFileScanReqVO'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RApiPhoneFileScanPageResVO'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    ApiPhoneFileScanReqVO:
      type: object
      properties:
        pageSize:
          type: integer
          description: >-
            Number of records displayed per page

            The default is1,and the maximum number of items in a single query
            is:1
        pageNum:
          type: integer
          description: Current page count
        phoneId:
          type: integer
          description: Phone ID,obtain through `Get phone list` api
          format: int64
        parentDir:
          type: string
          description: Parent directory,Get all the file directories under this folder
      required:
        - phoneId
    RApiPhoneFileScanPageResVO:
      type: object
      properties:
        traceId:
          type: string
          description: Request link ID
        code:
          type: integer
          description: code
        msg:
          type: string
          description: Request return message
        data:
          $ref: '#/components/schemas/ApiPhoneFileScanPageResVO'
          description: Request return data
        status:
          type: string
          description: >-
            Status, representing whether this is an instant completion or
            waiting state, finish or pending
          default: finish
      required:
        - traceId
        - code
        - msg
        - status
    ApiPhoneFileScanPageResVO:
      type: object
      properties:
        parentDir:
          type: string
          description: Parent directory to which it belongs
        fileList:
          $ref: '#/components/schemas/TableDataInfoApiPhoneFileInfoResVO'
          description: File list
    TableDataInfoApiPhoneFileInfoResVO:
      type: object
      properties:
        traceId:
          type: string
          description: Link ID
        total:
          type: integer
          description: Total number of records
          format: int64
        rows:
          type: array
          items:
            $ref: '#/components/schemas/ApiPhoneFileInfoResVO'
            description: ApiPhoneFileScanResVO
          description: list data
        code:
          type: integer
          description: Message status code
        msg:
          type: string
          description: message content
    ApiPhoneFileInfoResVO:
      type: object
      properties:
        path:
          type: string
          description: File or directory path
        name:
          type: string
          description: File or directory name
        type:
          type: integer
          description: 'Type: 1=Directory, 2=File'
        size:
          type: integer
          description: File size in bytes
          format: int64
        convertSize:
          type: string
          description: Human-readable converted size

````